org.jbpm.casemgmt.impl.model.instance

## Class CaseMilestoneInstanceImpl

- java.lang.Object
- - org.jbpm.casemgmt.impl.model.instance.CaseMilestoneInstanceImpl

- All Implemented Interfaces:
    Serializable, CaseMilestoneInstance

      public class CaseMilestoneInstanceImpl
      extends Object
      implements CaseMilestoneInstance, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CaseMilestoneInstanceImpl(String id, String name, boolean achieved, Date achievedAt)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Date` | `getAchievedAt()` In case this milestone is achieved, returns date at it was achieved.
    `String` | `getId()` Returns id of the milestone.
    `String` | `getName()` Returns name of the milestone.
    `MilestoneStatus` | `getStatus()` Returns status of this milestone
    `boolean` | `isAchieved()` Indicates if this milestone is already achieved or not.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CaseMilestoneInstanceImpl

          public CaseMilestoneInstanceImpl(String id,
                                           String name,
                                           boolean achieved,
                                           Date achievedAt)

  - ### Method Detail

    - #### getId

          public String getId()

      Description copied from interface: `CaseMilestoneInstance`
      Returns id of the milestone.
      Specified by:
        `getId` in interface `CaseMilestoneInstance`
      Returns:

    - #### getName

          public String getName()

      Description copied from interface: `CaseMilestoneInstance`
      Returns name of the milestone.
      Specified by:
        `getName` in interface `CaseMilestoneInstance`
      Returns:

    - #### isAchieved

          public boolean isAchieved()

      Description copied from interface: `CaseMilestoneInstance`
      Indicates if this milestone is already achieved or not.
      Specified by:
        `isAchieved` in interface `CaseMilestoneInstance`
      Returns:

    - #### getAchievedAt

          public Date getAchievedAt()

      Description copied from interface: `CaseMilestoneInstance`
      In case this milestone is achieved, returns date at it was achieved.
      Specified by:
        `getAchievedAt` in interface `CaseMilestoneInstance`
      Returns:

    - #### getStatus

          public MilestoneStatus getStatus()

      Description copied from interface: `CaseMilestoneInstance`
      Returns status of this milestone
      Specified by:
        `getStatus` in interface `CaseMilestoneInstance`
      Returns:

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.